#
# spec file for package thinkeramik (Version 3.2.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file fileshareset filesystem fillup findutils flac flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal info insserv jack jack-devel kdebase3 kdebase3-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libusb libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt powersave-libs procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           thinkeramik
BuildRequires:  kdebase3-devel
URL:            http://prefsx1.hp.infoseek.co.jp/tk040429/index.html
License:        GPL
Group:          System/GUI/KDE
Summary:        Thin Keramik style for KDE
Version:        3.2.1
Release:        22.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       thinkeramik-style
Source0:        %{name}-%{version}.tar.bz2
Patch0:         default-sidebar-width.diff
Patch1:         thinkeramik-colors.diff
Patch2:         remove-kdefx-dependency.diff
Patch3:         fix-combobox-edit-fields.diff
Patch4:         gcc-4.1.diff

%description
This is a plain-looking modification of the Keramik style.



Authors:
--------
    Arumi Kitajima <konro@lycos.jp>
    
    Keramik engine by:
    Malte Starostik <malte@kde.org>
    Maksim Orlovich <mo002j@mail.rochester.edu>

%debug_package
%package style
Group:          System/GUI/KDE
Summary:        Thin Keramik style for Qt

%description style
This is a plain-looking modification of the Keramik style.



Authors:
--------
    Arumi Kitajima <konro@lycos.jp>
    
    Keramik engine by:
    Malte Starostik <malte@kde.org>
    Maksim Orlovich <mo002j@mail.rochester.edu>

%prep
%setup -q
%if %suse_version > 900
%patch0
%endif
%patch1
%patch2
%patch3
%patch4
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
mkdir -p $RPM_BUILD_ROOT/usr/lib/qt3/plugins/
mv $RPM_BUILD_ROOT/opt/kde3/%_lib/kde3/plugins/styles \
   $RPM_BUILD_ROOT/usr/lib/qt3/plugins/
rm -f $RPM_BUILD_ROOT/usr/lib/qt3/plugins/styles/thinkeramik*la
if [ %_lib = lib64 ]; then
 for i in $RPM_BUILD_ROOT/usr/lib/qt3/plugins/*/*.so; do
   mv "$i" "${i%.so}.%_lib.so"
 done
fi
%suse_update_desktop_file -u %name Settings

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/kstyle_thinkeramik_config.*
/opt/kde3/%_lib/kde3/kwin3_thinkeramik.*
/opt/kde3/%_lib/kde3/kwin_thinkeramik_config.*
/opt/kde3/share/apps/kwin/thinkeramik.desktop
/opt/kde3/share/apps/kstyle/themes/thinkeramik.themerc
/opt/kde3/share/apps/kdisplay/color-schemes/thinkeramik-II.kcsrc
/opt/kde3/share/apps/kdisplay/color-schemes/thinkeramik.kcsrc

%files style
%defattr(-,root,root)
/usr/lib/qt3/plugins/styles

%changelog -n thinkeramik
* Fri Jan 27 2006 - dmueller@suse.de
- fix sequence point warnings (#137753)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 06 2004 - adrian@suse.de
- fix QComboBox with edit field for OOo (#45365)
* Tue Sep 21 2004 - adrian@suse.de
- split style plugin into extra package and remove dependency to
  libkdefx. We need this to be able to use it as default plugin for
  YaST (#44803)
* Fri Jul 09 2004 - adrian@suse.de
- update to version 3.2.1
* Mon Apr 26 2004 - adrian@suse.de
- update to version 3.2
* Thu Mar 18 2004 - coolo@suse.de
- fixing scrollbar colors (#36480)
* Tue Mar 02 2004 - adrian@suse.de
- adjust menu sideborder, depending on icon size
* Tue Mar 02 2004 - adrian@suse.de
- update to version 3.0.6
* Wed Jan 28 2004 - adrian@suse.de
- update to version 2.8.1
- disable kwin deco, because it is not yet ported to KDE 3.2
* Wed Sep 03 2003 - adrian@suse.de
- mark thinkeramik menu entry as unimportant
* Sat Aug 23 2003 - adrian@suse.de
- update to version 2.7.1
* Wed Aug 20 2003 - adrian@suse.de
- update to version 2.7
* Wed Aug 13 2003 - adrian@suse.de
- update to version 2.5
- remove double desktop file in applications
* Mon Aug 11 2003 - adrian@suse.de
- update to version 2.4.1
* Thu Aug 07 2003 - adrian@suse.de
- update to version 2.3
* Tue Aug 05 2003 - adrian@suse.de
- update to version 2.1
  * including a window decoration
* Sat Jul 26 2003 - adrian@suse.de
- update to version 1.9
  * including a kcm modul
* Fri Jul 25 2003 - adrian@suse.de
- initial package of version 1.7
